<?php
/**
* ステートフルオブジェクトを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IStateful extends IObject
{
	/**
	 * オブジェクトの内容をシリアライズする
	 */
	public function serializeContents();

	/**
	 * オブジェクトの内容をデシリアライズする
	 */
	public function deserializeContents( $serialize_data );
}

return __FILE__;